# -*- rpm-spec -*-

%define oname		virt

%define api		1.0
%define major		0

%define libname_glib		%mklibname %{oname}-glib %{api} %{major}
%define develname_glib		%mklibname %{oname}-glib %{api} -d

%define libname_gconfig		%mklibname %{oname}-gconfig %{api} %{major}
%define develname_gconfig	%mklibname %{oname}-gconfig %{api} -d

%define libname_gobject		%mklibname %{oname}-gobject %{api} %{major}
%define develname_gobject	%mklibname %{oname}-gobject %{api} -d


%define girmajor	1.0
%define girname_glib		%mklibname %{oname}-glib-gir %{girmajor}
%define girname_gconfig		%mklibname %{oname}-gconfig-gir %{girmajor}
%define girname_gobject		%mklibname %{oname}-gobject-gir %{girmajor}

%define _exclude_files_from_autoreq ^%{_datadir}/doc/libvirt-glib-python/event-test.py$

Name:		libvirt-glib
Version:	0.1.2
Release:	%mkrel 2
Summary:	libvirt glib integration for events
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libvirt.org/
Source0:	http://libvirt.org/sources/glib/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0) >= 2.10.0
BuildRequires:	pkgconfig(libvirt) >= 0.9.10
BuildRequires:	python-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	libxml2-devel
# Hack due to https://bugzilla.redhat.com/show_bug.cgi?id=613466
BuildRequires:	libtool
BuildRequires:	vala
BuildRequires:	vala-tools

%description
This package provides integration between libvirt and the glib
event loop.


# ---------------------------------------------------------------------------


%package -n %{libname_glib}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration
Provides:	%{mklibname %{oname}-glib %{major}} = %{version}-%{release}

%description -n %{libname_glib}
This package provides APIs for processing the object configuration
data

%files -n %{libname_glib}
%doc README COPYING AUTHORS ChangeLog NEWS
%{_libdir}/libvirt-glib-%{api}.so.%{major}*


%package -n %{develname_glib}
Group:		System/Libraries
Summary:	libvirt glib integration for events development files
Requires:	%{libname_glib} = %{version}-%{release}
Provides:	%{name}-glib-devel = %version-%release
Provides:	%{oname}-glib-devel = %{version}-%{release}

%description -n %{develname_glib}
This package provides development header files and libraries for
integration between libvirt and the glib event loop.

%files -n %{develname_glib}
%doc examples/event-test.c
%{_libdir}/libvirt-glib-%{api}.so
%{_libdir}/pkgconfig/libvirt-glib-%{api}.pc
%dir %{_includedir}/libvirt-glib-%{api}
%dir %{_includedir}/libvirt-glib-%{api}/libvirt-glib
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib.h
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib-*.h
%{_datadir}/gir-1.0/LibvirtGLib-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-glib
%{_datadir}/vala/vapi/libvirt-glib-%{api}.vapi


%package -n %{girname_glib}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_glib} = %{version}-%{release}

%description -n %{girname_glib}
GObject Introspection interface description for %{name}.

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/LibvirtGLib-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%package -n %{libname_gconfig}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration
Provides:	%{mklibname %{oname}-gconfig %{major}} = %{version}-%{release}

%description -n %{libname_gconfig}
This package provides APIs for processing the object configuration
data

%files -n %{libname_gconfig}
%{_libdir}/libvirt-gconfig-%{api}.so.%{major}*


%package -n %{develname_gconfig}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration development files
Requires:	%{libname_gconfig} = %{version}-%{release}
Provides:	%{name}-gconfig-devel = %version-%release
Provides:	%{oname}-gconfig-devel = %{version}-%{release}

%description -n %{develname_gconfig}
This package provides development header files and libraries for
the object configuration APIs.

%files -n %{develname_gconfig}
%doc examples/event-test.c
%{_libdir}/libvirt-gconfig-%{api}.so
%{_libdir}/pkgconfig/libvirt-gconfig-%{api}.pc
%dir %{_includedir}/libvirt-gconfig-%{api}
%dir %{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig.h
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig-*.h
%{_datadir}/gir-1.0/LibvirtGConfig-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gconfig
%{_datadir}/vala/vapi/libvirt-gconfig-%{api}.vapi


%package -n %{girname_gconfig}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gconfig} = %{version}-%{release}

%description -n %{girname_gconfig}
GObject Introspection interface description for %{name}.

%files -n %{girname_gconfig}
%{_libdir}/girepository-1.0/LibvirtGConfig-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%package -n %{libname_gobject}
Group:		System/Libraries
Summary:	libvirt object APIs for managing virtualization hosts
Provides:	%{mklibname %{oname}-gobject %{major}} = %{version}-%{release}

%description -n %{libname_gobject}
This package provides APIs for managing virtualization host
objects

%files -n %{libname_gobject}
%{_libdir}/libvirt-gobject-%{api}.so.%{major}*


%package -n %{develname_gobject}
Group:		System/Libraries
Summary:	libvirt object APIs for managing virtualization hosts development files
Requires:	%{libname_gobject} = %{version}-%{release}
Requires:	%{develname_glib} = %{version}-%{release}
Requires:	%{develname_gconfig} = %{version}-%{release}
Provides:	%{name}-gobject-devel = %version-%release
Provides:	%{oname}-gobject-devel = %{version}-%{release}

%description -n %{develname_gobject}
This package provides development header files and libraries for
managing virtualization host objects

%files -n %{develname_gobject}
%doc examples/event-test.c
%{_libdir}/libvirt-gobject-%{api}.so
%{_libdir}/pkgconfig/libvirt-gobject-%{api}.pc
%dir %{_includedir}/libvirt-gobject-%{api}
%dir %{_includedir}/libvirt-gobject-%{api}/libvirt-gobject
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject.h
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject-*.h
%{_datadir}/gir-1.0/LibvirtGObject-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gobject
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.vapi
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.deps


%package -n %{girname_gobject}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gobject} = %{version}-%{release}

%description -n %{girname_gobject}
GObject Introspection interface description for %{name}.

%files -n %{girname_gobject}
%{_libdir}/girepository-1.0/LibvirtGObject-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%package python
Group:		System/Libraries
Summary:	libvirt glib integration for events python binding

%description python
This package provides a python module for integration between
libvirt and the glib event loop

%files python
%doc examples/event-test.py
%{py_platsitedir}/*

# ---------------------------------------------------------------------------


%prep
%setup -q


%build
%configure2_5x --enable-introspection --with-python --disable-static
%make


%install
rm -rf %{buildroot}
%makeinstall_std

# Fix up libtool libraries.
find %{buildroot} -name '*.la' | xargs rm



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 358350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 ovitters <ovitters> 0.1.2-1.mga3
+ Revision: 282978
- new version 0.1.2

* Tue Aug 07 2012 ovitters <ovitters> 0.1.1-1.mga3
+ Revision: 279632
- new version 0.1.1

* Mon Jul 16 2012 ovitters <ovitters> 0.1.0-1.mga3
+ Revision: 271432
- new version 0.1.0

* Wed Jun 27 2012 ovitters <ovitters> 0.0.9-1.mga3
+ Revision: 264571
- new version 0.0.9

* Tue May 29 2012 ovitters <ovitters> 0.0.8-1.mga3
+ Revision: 249180
- new version 0.0.8

* Sun Apr 01 2012 ovitters <ovitters> 0.0.7-1.mga2
+ Revision: 227702
- new version 0.0.7

* Fri Mar 09 2012 fwang <fwang> 0.0.6-1.mga2
+ Revision: 222086
- new version 0.0.6
- new version 0.0.6

* Wed Feb 22 2012 ovitters <ovitters> 0.0.5-1.mga2
+ Revision: 212354
- update buildrequires
- new version

* Mon Jan 16 2012 ovitters <ovitters> 0.0.4-1.mga2
+ Revision: 197031
- new version

* Tue Dec 20 2011 wally <wally> 0.0.3-1.mga2
+ Revision: 184996
- new version 0.0.3

* Thu Dec 01 2011 fwang <fwang> 0.0.2-2.mga2
+ Revision: 174818
- exclude req from doc files
- update file list

* Wed Nov 30 2011 ovitters <ovitters> 0.0.2-1.mga2
+ Revision: 174557
- fix buildrequires
- imported package libvirt-glib

